#include <gtk/gtk.h>
#include <stdio.h>

void button_cb(GtkButton *button, gpointer data)
{
	fprintf(stderr, "button pressed\n");
}

int main(int argc, char **argv)
{
	GtkWidget *main, *box, *button;

/* Initialize toolkit */
	gtk_init(&argc, &argv);

/* Create main window and set title */
	main = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_window_set_title(GTK_WINDOW(main), "Example");

/* Create table with one cell and insert into main window*/
	box = gtk_table_new(1, 1, FALSE);
	gtk_container_add(GTK_CONTAINER(main), box);

/* Create button and setup layout */
	button = gtk_button_new_with_label("Click Here");
	gtk_widget_set_name(button, "button");
	gtk_table_attach(GTK_TABLE(box), button, 0, 1, 0, 1,	
		(GtkAttachOptions) (GTK_EXPAND|GTK_SHRINK|GTK_FILL),
		(GtkAttachOptions) (GTK_EXPAND|GTK_SHRINK|GTK_FILL),
		40, 40);

	gtk_widget_show(button);
	gtk_widget_show(box);
	gtk_widget_show(main);

/* Register callback for button */
	gtk_signal_connect(GTK_OBJECT(button), "pressed", 
		GTK_SIGNAL_FUNC(button_cb), (gpointer)0);
	gtk_signal_connect(GTK_OBJECT(button), "clicked", 
		GTK_SIGNAL_FUNC(button_cb), (gpointer)0);

/* Main loop */
	gtk_main();
	return 0;
}
